Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-87016

QtWebEngine Documentation - Python3.8 incompatibility

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Fixed
    • Affects Version/s: 5.14.0
    • Fix Version/s: 5.15.0
    • Component/s: WebEngine
    • Labels:
      None
    • Environment:
      Mint Linux 20 Ulyana (Ubuntu 20.04), Python 3.8.2
    • Platform/s:
      Linux/X11

      Description

      During compilation of the Qt docs, the file qtwebengine/src/3rdparty/chromium/tools/licenses.py produces ModuleNotFound error because the function escape() was removed from cgi module in Python 3.8. To handle this error, the following workaround is used: to replace line 612:

      if (sys.version_info[0] >= 3) and (sys.version_info[1] > 6):
          val = html.escape(repr(val))
      else:
          val = cgi.escape(val)
      

      instead of justĀ  val = cgi.escape(val)

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            qt_webengine_team Qt WebEngine Team
            Reporter:
            twdragon Andrei Vukolov
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes